Re: Re: Patches AMD 64 next try...
| Newsgroups | gmane.comp.gnu.gift.general |
|---|---|
| Message-ID | <[email protected]> |
On Thu, Jan 25, 2007 at 08:22:45AM -0600, [email protected] wrote: > No problem here. i'd have commited already, if i could find that slowdown on 32bit... > one of my other projects(openmosix) needs work, and i'm now working two jobs, so time is a little rarer than it used to be. :) > > Julia Longtin <[email protected]> > > On Thu, Jan 25, 2007 at 09:52:08AM +0100, Wolfgang Müller wrote: > > Hi Julia, David, > > > > I hope the year has started nicely for you. > > > > I hope to have a little timeslot this weekend to use and test your patches and > > to get things started again. I guess David will be busy, as teaching etc. is > > starting again for him, so I have the impression that it's just us two > > (mainly you) who will work on features & inverted files for amd 64 in the > > near future. So, in order to keep going and to make things easier for you, I > > would suggest thtat you check things into CVS when they work for you and > > check if we complain that they do not work, rather than have us apply the > > patches, check, and then apply them to CVS. Is this OK with you, too, David? > > > > Cheers, > > Wolfgang > > -- > > Dr. Wolfgang Müller > > LS Medieninformatik > > Universität Bamberg > > Check out the SIG MM web site http://www.sigmm.org > > A month later, and i've finally got 5 minutes to dedicate. ;) I Applied the following patch, to force bootstrap-cvs.sh to fail in case of auto* errors, and to no longer use --force on the aclocal invocation. this patch is REQUIRED to compile on my debian unstable machines. i'd be interested in hearing stories of it breaking things. Julia Longtin <[email protected]> _______________________________________________ help-GIFT mailing list [email protected] http://lists.gnu.org/mailman/listinfo/help-gift
00-ChangeLog
(text/plain, 353 B)
--- ../../anoncvs/gift/ChangeLog 2006-10-22 09:59:12.000000000 -0500 +++ ChangeLog 2006-11-18 11:03:04.000000000 -0600 @@ -1,3 +1,9 @@ +2006-11-18 <[email protected]> + + * bootstrap-cvs.sh + error out when a step fails. + remove --force from autoconf and aclocal invocations. + 2006-10-10 <[email protected]> * FeatureExtraction/gabor.c
00-bootstrap_cvs_sh-remove_force_and_error_out.patch
(text/plain, 1 KB)
--- ../../anoncvs/gift/bootstrap-cvs.sh 2006-02-28 07:48:21.000000000 -0600
+++ bootstrap-cvs.sh 2006-11-18 10:39:19.000000000 -0600
@@ -33,12 +33,12 @@
echo "running libtoolize"
libtoolize --force --ltdl || { echo "Libtoolize failed. THIS MIGHT CAUSE PROBLEMS LATER, continuing " ; }
echo "running aclocal"
-aclocal --force -I . || { echo "bootstrap failed, because aclocal failed. exiting. " , exit 100; }
+aclocal -I . || { echo "bootstrap failed, because aclocal failed. exiting. " ; exit 100; }
echo "...done"
echo "running automake -a"
-automake -a --force || { echo "bootstrap failed, because automake failed. exiting." , exit 101; }
+automake -a || { echo "bootstrap failed, because automake failed. exiting." ; exit 101; }
echo "...done"
echo "running autoconf"
-autoconf || { echo "bootstrap failed, because autoconf failed. exiting." , exit 102; }
+autoconf || { echo "bootstrap failed, because autoconf failed. exiting." ; exit 102; }
echo "...done"
echo "Now you should be able to run ./configure"